Description

Hi,

The title of some options in the Print Composer is displayed on two lines instead of one.

In French for instance, the attached file shows the properties of a legend in Map composer.

The title of certain options cannot hold on a line. They are then presented on two lines, not always readable. One can think that widen the

frame should solve the problem but when you do so, only the space dedicated to the values widen itself. It looks like if in the current

configuration, the title has its width (blocked) and the text box gets the rest of space (depending on how wide is the "Properties" tab).

IMHO, This is not a good option especially as the contents of these text boxes are widely lower than 10 characters. we know that, we know

their limits but we don't know how many characters will require the translation of the title in another language.

I think that, by default, text boxes should have a minimum width (let's say the space needed by 10 characters) and their title should be as

large as possible (so that all languages (or most of them) could have their title hold on one line).

Then, when the user resizes the tab, only the text box can be widened (as it is done now). We'd already ensured the user will read all the

title.

Associated revisions

Revision 7840dbe3 - 2015-11-22 09:41 PM - Matthias Kuhn 

Do not wrap labels in composer legend properties widget

Fix #10498

History

#1 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#2 - 2015-01-25 12:18 PM - Harrissou Santanna

Hi,

There is a proposal of fix here

#3 - 2015-01-29 07:33 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes
https://github.com/qgis/QGIS/pull/1863


#4 - 2015-06-09 10:16 AM - Harrissou Santanna

Hi,

Can someone review and tell if this is the way this bug should be fixed, please? The GUI is not really readable for localized QGIS

#5 - 2015-11-22 12:42 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"7840dbe392d5a362e7e8d8fe8a9a7397079673ee".
